For the complete documentation index, see llms.txt.

Orders
GET/api/orders/shipped

List Orders (Shipped)

Get a list of all shipped orders (default: orders updated in the last 24 hours)

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/shipped

Details

Get a list of all shipped orders (default: orders updated in the last 24 hours)

Request Parameters

Parameter Type Description
since_last_updated (optional) string Show orders recently updated after date in UTC (date-time in RFC3339 format)
ids_only (optional) boolean Show all unshipped order_ids
limit (optional) integer Amount of results (default: 50) (maximum: 250)
page (optional) integer Page to show (default: 1)

List Orders (Shipped) Response

Attribute Type Description
orders object list List of shipped orders details (Full Order Model)
order_ids integer list List of shipped order_id
total_pages integer Total number of pages available
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

List Orders (Shipped) (200)
{
  "orders": [
    {
      "order_id": 1020304051,
      "order_date": "2020-04-27T22:46:59.0593498Z",
      "shipped_date": "2020-04-29T22:46:59.0593498Z",
      "order_number": "10001",
      "reference": "Online Order",
      "integration_source_name": "API",
      "name": "John Smith",
      "state": "NSW",
      "country": "Australia",
      "carrier": "AusPost",
      "carrier_name": "Australia Post",
      "carrier_service_code": "7B05",
      "carrier_service_name": "Express Post",
      "shipment_type": "O",
      "tracking_number": "QQQ001156301000960302",
      "tracking_short_status": "In Transit",
      "tracking_full_status": "In Transit",
      "manifest_number": 5358,
      "manifest_sent": true,
      "writeback_status": "Up to date",
      "writeback_details": "Success"
    }
  ],
  "total_pages": 1,
  "success": true
}

Related endpoints